Update a channel
PATCH
/api/v1/channels/{id}
const url = 'https://renotify.app/api/v1/channels/architecto';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Primary WhatsApp","credentials":{"api_token":"new-secret-token"},"metadata":{"phone_number":"+15551234567"},"is_default":true,"status":"active"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://renotify.app/api/v1/channels/architecto \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Primary WhatsApp", "credentials": { "api_token": "new-secret-token" }, "metadata": { "phone_number": "+15551234567" }, "is_default": true, "status": "active" }'Update the configuration for an existing messaging channel.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The ID of the channel.
Example
architectoRequest Body
Section titled “Request Body”Media typeapplication/json
object
name
The channel name.
string
Example
Primary WhatsAppcredentials
Provider credentials to merge into the channel.
object
Example
{ "api_token": "new-secret-token"}metadata
Additional metadata to merge into the channel.
object
Example
{ "phone_number": "+15551234567"}is_default
Whether this should become the default channel.
boolean
Example
truestatus
The channel status.
string
Example
active